> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Node Deployments

> Returns every Node deployed by the authenticated caller's company.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /nodes
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /nodes:
    get:
      tags:
        - Node Deployments
      summary: List My Node Deployments
      description: Returns every Node deployed by the authenticated caller's company.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/nodes.NodeDeploymentResponse'
                type: array
          description: Nodes with URLs and metadata
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    nodes.NodeDeploymentResponse:
      properties:
        deployment:
          $ref: '#/components/schemas/nodes.NodeDeployment'
        url:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    nodes.NodeDeployment:
      properties:
        company_id:
          type: string
        contact:
          type: string
        created_at:
          type: string
        description:
          type: string
        discoverable:
          type: boolean
        expires_at:
          type: string
        id:
          type: string
        is_active:
          type: boolean
        max_event_count:
          type: integer
        name:
          type: string
        namespace:
          type: string
        owner_public_key:
          type: string
        read_auth:
          type: boolean
        updated_at:
          type: string
        write_auth:
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````